Data Fields

# GCObject Union Reference

`#include <lua/lstate.h>`

Collaboration diagram for GCObject:
[legend]

## Data Fields
GCheader | gch
union TString | ts
union Udata | u
union Closure | cl
struct Table | h
struct Proto | p
struct UpVal | uv
struct lua_State | th

## Detailed Description

Definition at line 135 of file lstate.h.

## Field Documentation

union Closure GCObject::cl

Definition at line 139 of file lstate.h.

GCheader GCObject::gch

Definition at line 136 of file lstate.h.

Referenced by correctstack(), freeobj(), GCTM(), luaC_barrierf(), luaC_link(), luaC_linkupval(), luaC_separateudata(), luaS_newlstr(), luaS_resize(), marktmu(), propagatemark(), reallymarkobject(), and sweeplist().

struct Table GCObject::h

Definition at line 140 of file lstate.h.

struct Proto GCObject::p

Definition at line 141 of file lstate.h.

struct lua_State GCObject::th

Definition at line 143 of file lstate.h.

union TString GCObject::ts

Definition at line 137 of file lstate.h.

union Udata GCObject::u

Definition at line 138 of file lstate.h.

struct UpVal GCObject::uv

Definition at line 142 of file lstate.h.

The documentation for this union was generated from the following file:

- lua/lstate.h